.nolist
#include "ti84pcse.inc"
#include "dcse8.inc"

temp1	.equ cmdShadow
sprX	.equ temp1				;2 bytes
sprY	.equ sprX+2				;2 bytes
mode	.equ sprY+2				;1 byte. 0=1 bit, 1=2 bit, 2=4 bit, 3=4 bit enlarge
.list

	.org UserMem
BinaryStart:
	.db $EF,$11     ;OpenLib(                                    2    2
	.db "D",$BB,$BF,$BB,$BF,$BB,$C2,$BB,$C3,"CSE",$11,$3F  ;    14   16
	.db $EF,$12,$3F ;ExecLib                                     3   19
	.db $D5,$3F     ;Return                                      2   21
	.db tExtTok,tAsm84CPrgm,$3F ;                                3   24 bytes total
HeaderStart:
	.dw ASMStart-HeaderStart ;offset to code
	
	.dw 10
	.db 3
	.db "DoorsCSE",8,0
	
	.dw Header_Author_End-Header_Author_Start
	.db 2
Header_Author_Start:
	.db "Kerm Martian",0
Header_Author_End:

	.dw Header_Desc_End-Header_Desc_Start
	.db 0
Header_Desc_Start:
	.db "Clipped Sprite Test",0
Header_Desc_End:

	.dw 0
	.db $ff
ASMStart:
	.relocate UserMem
ProgramStart:
	xor a
	ld (mode),a
ModeStart:
	call ClearLCDFull
	ld b,240-(57*2)		;height of enlarged sprite
	call RandInt
	ld l,a
	ld h,0
	ld (sprY),hl
	ld b,255
	call RandInt
	ld l,a
	ld h,0
	ld (sprX),hl
RenderLoop:
	ld a,(mode)
	ld e,a
	ld d,0
	ld hl,RenderRoutine_LUT
	add hl,de
	add hl,de
	ld a,(hl)
	inc hl
	ld h,(hl)
	ld l,a
	ld de,RenderLoopReturn
	push de
		push hl
			ret
			
RenderLoopReturn:
KeyLoop:
	ld a,$ff
	out (1),a
	nop \ nop
	ld a,%11111100
	out (1),a
	nop \ nop
	in a,(1)
	cp $ff
	jr z,KeyLoop
	bit 1,a
	jr z,KeyMoveLeft
	bit 2,a
	jr z,KeyMoveRight
	bit 3,a
	jr z,KeyMoveUp
	bit 0,a
	jr z,KeyMoveDown
	bit 6,a
	jr nz,KeyLoop
	ld hl,mode
	inc (hl)
	jr ModeStart
	
KeyMoveLeft:
	call RenderErase
	ld hl,(sprX)
	dec hl
KeyHorizFinish:
	ld (sprX),hl
	jr RenderLoop
	
KeyMoveRight:
	call RenderErase
	ld hl,(sprX)
	inc hl
	jr KeyHorizFinish

KeyMoveUp:
	call RenderErase
	ld hl,(sprY)
	dec hl
KeyVertFinish:
	ld (sprY),hl
	jr RenderLoop
	
KeyMoveDown:
	call RenderErase
	ld hl,(sprY)
	inc hl
	jr KeyVertFinish

Render_1Bit:
	ld ix,Sprite_1Bit
	ld hl,(sprY)
	ld de,(sprX)
	call DrawSprite_1Bit
	ret

Render_2Bit:
	ld ix,Sprite_2Bit
	ld hl,(sprY)
	ld de,(sprX)
	call DrawSprite_2Bit
	ret

Render_4Bit:
	ld ix,Sprite_4Bit
	ld (ix+2),30
	ld (ix+3),64
	ld hl,(sprY)
	ld de,(sprX)
	call DrawSprite_4Bit
	ret

Render_4Bit_Enlarge:
	ld ix,Sprite_4Bit
	ld (ix+2),30*2
	ld (ix+3),64*2
	ld hl,(sprY)
	ld de,(sprX)
	call DrawSprite_4Bit_Enlarge
	ret

Render_8Bit_Dflt:
	ld ix,Sprite_8Bit_Dflt
	ld hl,(sprY)
	ld de,(sprX)
	call DrawSprite_8Bit
	ret

Render_8Bit:
	ld ix,Sprite_8Bit
	ld hl,(sprY)
	ld de,(sprX)
	call DrawSprite_8Bit
	ret

Quit:
		pop de
	ret
	
RenderErase:
	ret

RenderRoutine_LUT:
	.dw Render_1Bit
	.dw Render_2Bit
	.dw Render_4Bit
	.dw Render_4Bit_Enlarge
	.dw Render_8Bit_Dflt
	.dw Render_8Bit
	.dw Quit
	
Palette_1Bit:
	.db $e7,$1c,$00,$00

Sprite_1Bit:
	.dw Palette_1Bit
	.db 30,27
	.db $00,$07,$80,$00
	.db $00,$08,$c0,$00
	.db $00,$17,$e0,$00
	.db $00,$2f,$f0,$00
	.db $00,$5f,$f8,$00
	.db $00,$bf,$fc,$00
	.db $01,$7c,$fe,$00
	.db $02,$f8,$7f,$00
	.db $05,$f0,$3f,$80
	.db $0b,$e0,$1f,$c0
	.db $17,$c7,$8f,$e0
	.db $2f,$88,$c7,$f0
	.db $5f,$17,$e3,$f8
	.db $be,$2f,$f1,$fc
	.db $fc,$5f,$f8,$fc
	.db $f8,$bf,$fc,$7c
	.db $71,$7c,$fe,$38
	.db $02,$f8,$7f,$00
	.db $05,$f0,$3f,$80
	.db $0b,$e0,$1f,$c0
	.db $17,$c0,$0f,$e0
	.db $2f,$80,$07,$f0
	.db $5f,$00,$03,$f8
	.db $be,$00,$01,$fc
	.db $fc,$00,$00,$fc
	.db $f8,$00,$00,$7c
	.db $70,$00,$00,$38

Palette_2Bit:
	.db $00,$b0,$64,$db,$a5,$95,$08,$20

Sprite_2Bit:
	.dw Palette_2Bit
	.db 72,72
	.db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	.db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$01,$00,$00,$00,$00,$00
	.db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$40,$00,$00,$00,$00
	.db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$50,$00,$00,$00,$00
	.db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$50,$10,$00,$00,$00
	.db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$15,$40,$00,$00,$00
	.db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$09,$00,$00,$00,$00
	.db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$59,$00,$00,$00,$00
	.db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$04,$6a,$40,$00,$00,$00
	.db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$59,$ae,$54,$00,$00,$00
	.db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$1a,$ff,$a4,$00,$00,$00
	.db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$1b,$ff,$e0,$00,$00,$00
	.db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$1b,$ff,$e4,$00,$00,$00
	.db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$1b,$ff,$e0,$00,$00,$00
	.db $00,$00,$00,$00,$00,$00,$00,$00,$00,$04,$10,$14,$16,$ff,$95,$04,$00,$10
	.db $00,$00,$00,$00,$00,$00,$00,$00,$00,$05,$90,$29,$aa,$be,$aa,$68,$00,$50
	.db $00,$00,$00,$00,$00,$00,$00,$00,$00,$06,$a9,$6e,$ff,$ff,$ff,$b9,$14,$50
	.db $00,$00,$00,$00,$00,$00,$00,$00,$00,$01,$be,$af,$ff,$ff,$ff,$fa,$5a,$a4
	.db $00,$00,$00,$00,$00,$00,$00,$00,$00,$01,$be,$ff,$ff,$ff,$ff,$fe,$af,$94
	.db $00,$00,$00,$00,$00,$00,$00,$00,$00,$01,$af,$ff,$ff,$ff,$ff,$ff,$bf,$90
	.db $00,$00,$00,$00,$00,$00,$00,$00,$00,$15,$af,$ff,$ff,$ff,$ff,$ff,$fe,$80
	.db $00,$00,$00,$00,$00,$00,$00,$00,$01,$aa,$ff,$ff,$ff,$ff,$ff,$ff,$f9,$40
	.db $00,$00,$00,$00,$00,$00,$00,$00,$00,$ae,$ff,$ff,$ff,$ff,$ff,$ff,$fe,$80
	.db $00,$00,$00,$00,$04,$00,$00,$00,$00,$6f,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$91
	.db $00,$00,$00,$00,$04,$00,$14,$00,$01,$af,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$aa
	.db $00,$00,$00,$00,$05,$50,$14,$00,$02,$bf,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$fa
	.db $00,$00,$00,$00,$01,$a5,$59,$90,$06,$bf,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$e8
	.db $00,$00,$00,$00,$00,$6a,$ae,$a5,$16,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$e4
	.db $00,$00,$00,$00,$01,$ae,$ff,$e9,$56,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$e5
	.db $00,$00,$00,$00,$05,$af,$ff,$fe,$96,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$f9
	.db $00,$00,$00,$00,$1a,$bf,$ff,$ff,$9b,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$e4
	.db $00,$00,$00,$10,$06,$ff,$ff,$ff,$eb,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$e4
	.db $00,$00,$00,$05,$5a,$ff,$ff,$ff,$fb,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$e0
	.db $00,$00,$00,$06,$ab,$ff,$ff,$ff,$fb,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$90
	.db $00,$00,$01,$16,$fb,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$40
	.db $05,$15,$55,$5b,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$f9,$00
	.db $05,$15,$55,$5b,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$f9,$00
	.db $00,$00,$01,$16,$fb,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$40
	.db $00,$00,$00,$06,$ab,$ff,$ff,$ff,$fb,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$90
	.db $00,$00,$00,$05,$5a,$ff,$ff,$ff,$fb,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$e0
	.db $00,$00,$00,$10,$06,$ff,$ff,$ff,$eb,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$e8
	.db $00,$00,$00,$00,$16,$bf,$ff,$ff,$9b,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$e4
	.db $00,$00,$00,$00,$05,$af,$ff,$fe,$96,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$fa
	.db $00,$00,$00,$00,$01,$ae,$ff,$e9,$56,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$e5
	.db $00,$00,$00,$00,$00,$6a,$ae,$a5,$56,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$e4
	.db $00,$00,$00,$00,$01,$a5,$59,$90,$06,$bf,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$e8
	.db $00,$00,$00,$00,$05,$50,$24,$00,$01,$bf,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$fa
	.db $00,$00,$00,$00,$04,$00,$14,$00,$01,$af,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$aa
	.db $00,$00,$00,$00,$04,$00,$00,$00,$00,$6f,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$91
	.db $00,$00,$00,$00,$00,$00,$00,$00,$00,$ae,$ff,$ff,$ff,$ff,$ff,$ff,$fe,$80
	.db $00,$00,$00,$00,$00,$00,$00,$00,$01,$aa,$ff,$ff,$ff,$ff,$ff,$ff,$f9,$40
	.db $00,$00,$00,$00,$00,$00,$00,$00,$00,$15,$af,$ff,$ff,$ff,$ff,$ff,$fe,$80
	.db $00,$00,$00,$00,$00,$00,$00,$00,$00,$01,$6f,$ff,$ff,$ff,$ff,$ff,$bf,$90
	.db $00,$00,$00,$00,$00,$00,$00,$00,$00,$01,$be,$ff,$ff,$ff,$ff,$fe,$af,$94
	.db $00,$00,$00,$00,$00,$00,$00,$00,$00,$05,$be,$af,$ff,$ff,$ff,$fa,$5a,$a4
	.db $00,$00,$00,$00,$00,$00,$00,$00,$00,$06,$a9,$6e,$ff,$ff,$ff,$b9,$14,$50
	.db $00,$00,$00,$00,$00,$00,$00,$00,$00,$05,$90,$29,$aa,$be,$a6,$68,$00,$50
	.db $00,$00,$00,$00,$00,$00,$00,$00,$00,$04,$10,$14,$16,$ff,$94,$04,$00,$10
	.db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$1b,$ff,$e0,$00,$00,$00
	.db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$1b,$ff,$e4,$00,$00,$00
	.db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$1b,$ff,$e0,$00,$00,$00
	.db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$1a,$ff,$a4,$00,$00,$00
	.db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$59,$ae,$54,$00,$00,$00
	.db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$04,$6a,$40,$00,$00,$00
	.db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$59,$00,$00,$00,$00
	.db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$05,$00,$00,$00,$00
	.db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$15,$40,$00,$00,$00
	.db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$50,$10,$00,$00,$00
	.db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$50,$00,$00,$00,$00
	.db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$40,$00,$00,$00,$00
	.db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$01,$00,$00,$00,$00,$00
	.db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	
Palette_4Bit:
	.db $ff,$df,$ce,$79,$ad,$54,$8c,$30,$6b,$6d,$42,$4a,$31,$64,$29,$66,$18,$c3,$52,$48,$e7,$3c,$08,$41,$7c,$32,$19,$68,$5b,$4f,$bf,$97,$
Sprite_4Bit:
	.dw Palette_4Bit
	.db 30,64
	.db $00,$01,$23,$44,$55,$66,$78,$86,$65,$94,$33,$22,$1a,$00,$00
	.db $0a,$17,$bb,$bb,$b8,$88,$88,$b8,$8b,$88,$bb,$bb,$bb,$71,$00
	.db $0a,$17,$bb,$bb,$b7,$7c,$54,$55,$57,$55,$7b,$bb,$bb,$b1,$a0
	.db $0a,$28,$bb,$bb,$bb,$b5,$87,$77,$77,$78,$bb,$bb,$bb,$b2,$00
	.db $0a,$28,$bb,$bb,$bb,$b8,$b8,$88,$88,$8b,$bb,$bb,$bb,$b2,$a0
	.db $0a,$2b,$bb,$88,$88,$88,$88,$88,$88,$88,$88,$88,$8b,$8c,$a0
	.db $0a,$3b,$bb,$88,$88,$88,$88,$88,$88,$88,$88,$88,$8b,$8c,$a0
	.db $0a,$3b,$bb,$88,$88,$88,$88,$88,$88,$88,$88,$88,$8b,$7c,$a0
	.db $0a,$3b,$bb,$88,$88,$88,$88,$88,$88,$88,$88,$88,$8b,$7c,$a0
	.db $0a,$3b,$bb,$88,$88,$88,$88,$88,$88,$88,$88,$88,$8b,$7c,$a0
	.db $01,$4b,$bb,$88,$88,$88,$88,$88,$88,$88,$88,$88,$8b,$5c,$a0
	.db $01,$4b,$bb,$88,$88,$88,$88,$88,$88,$88,$88,$88,$8b,$5c,$a0
	.db $01,$4b,$b8,$88,$88,$88,$88,$88,$88,$88,$88,$88,$8b,$53,$a0
	.db $02,$4b,$bb,$88,$88,$88,$88,$88,$88,$88,$88,$88,$8b,$53,$a0
	.db $a2,$48,$b8,$88,$88,$88,$88,$88,$88,$88,$88,$88,$8b,$53,$a0
	.db $a2,$48,$b8,$88,$88,$88,$88,$88,$88,$88,$88,$88,$8b,$53,$aa
	.db $12,$48,$b8,$88,$88,$88,$88,$88,$88,$88,$88,$87,$7b,$53,$a1
	.db $22,$36,$b8,$88,$88,$88,$88,$88,$88,$88,$88,$67,$7b,$54,$a2
	.db $32,$39,$bb,$88,$88,$88,$88,$88,$88,$88,$88,$87,$8b,$44,$ac
	.db $32,$29,$bb,$bb,$bb,$bb,$bb,$bb,$bb,$bb,$bb,$bb,$bb,$44,$a4
	.db $32,$29,$dd,$d8,$8d,$d8,$68,$dd,$88,$8d,$78,$7d,$d8,$44,$a4
	.db $32,$29,$c1,$12,$5c,$cc,$47,$cc,$47,$ec,$35,$41,$12,$c4,$a4
	.db $32,$29,$64,$34,$83,$11,$45,$1a,$18,$31,$15,$52,$24,$c4,$a4
	.db $31,$29,$bb,$bb,$bb,$b8,$bb,$bb,$bb,$b8,$85,$55,$88,$44,$a4
	.db $31,$24,$99,$99,$68,$88,$88,$8b,$88,$87,$57,$77,$75,$c4,$a4
	.db $31,$29,$bb,$86,$69,$55,$77,$77,$77,$77,$83,$12,$7b,$34,$ac
	.db $31,$29,$5e,$e5,$68,$dd,$88,$8d,$bb,$bb,$51,$aa,$3b,$45,$ac
	.db $31,$29,$e1,$1c,$d4,$ce,$88,$75,$78,$72,$11,$1a,$12,$c5,$a4
	.db $31,$29,$8e,$ed,$b8,$75,$8b,$54,$78,$30,$a1,$11,$1a,$15,$a4
	.db $31,$29,$65,$ed,$bb,$d8,$bb,$bb,$bb,$5a,$aa,$1a,$1a,$25,$a4
	.db $31,$29,$ff,$f3,$88,$dd,$bb,$7d,$8b,$b8,$31,$aa,$27,$57,$a4
	.db $41,$29,$9f,$f3,$89,$45,$8b,$54,$7b,$bb,$b2,$a1,$5b,$78,$ac
	.db $4a,$29,$bd,$66,$bd,$d8,$bb,$77,$8b,$bd,$85,$44,$bb,$88,$ac
	.db $4a,$29,$9c,$56,$bd,$db,$6b,$dd,$6b,$bd,$d8,$b7,$54,$78,$a3
	.db $4a,$29,$87,$57,$b5,$ee,$88,$4c,$5b,$73,$c7,$b4,$57,$88,$ac
	.db $4a,$29,$5d,$7b,$bb,$bb,$bb,$87,$7b,$bb,$bb,$bb,$b6,$88,$ac
	.db $4a,$29,$87,$56,$8d,$d8,$bb,$d8,$8b,$dd,$78,$bd,$87,$88,$ac
	.db $4a,$29,$89,$7b,$b8,$57,$bb,$d5,$7b,$85,$78,$bb,$57,$88,$ac
	.db $40,$29,$b7,$bb,$b8,$57,$bb,$75,$8b,$b5,$58,$bb,$b8,$b8,$a4
	.db $40,$29,$88,$b6,$b7,$d6,$bb,$87,$bb,$b8,$8b,$b7,$54,$78,$a4
	.db $40,$26,$85,$5b,$88,$88,$bb,$b8,$bb,$b8,$8b,$4a,$a1,$57,$a4
	.db $40,$26,$b8,$b8,$68,$78,$8b,$67,$8b,$b7,$7b,$71,$13,$87,$a4
	.db $30,$26,$b5,$69,$68,$b8,$bb,$b8,$bb,$bb,$8b,$b8,$89,$87,$a4
	.db $30,$26,$85,$59,$64,$44,$88,$54,$7b,$54,$46,$92,$12,$55,$a4
	.db $30,$26,$89,$5b,$9a,$1a,$24,$11,$17,$aa,$a2,$4a,$a2,$75,$a4
	.db $30,$26,$bd,$86,$9a,$a0,$44,$0a,$08,$10,$03,$87,$96,$b5,$04
	.db $40,$26,$88,$b6,$66,$49,$b8,$32,$5b,$84,$48,$b5,$44,$75,$a4
	.db $40,$28,$89,$5b,$87,$79,$b8,$d7,$6b,$8d,$8b,$4a,$a1,$54,$04
	.db $40,$26,$b7,$8b,$91,$12,$55,$32,$38,$21,$a3,$72,$14,$b4,$0c
	.db $40,$16,$8d,$b8,$90,$10,$23,$0a,$07,$00,$a2,$bd,$d6,$bc,$0c
	.db $40,$16,$85,$78,$83,$12,$75,$1a,$28,$42,$26,$51,$12,$52,$0c
	.db $40,$16,$85,$58,$b7,$79,$b8,$54,$6b,$b5,$6b,$50,$02,$72,$0c
	.db $40,$a9,$bb,$bb,$63,$34,$88,$55,$7b,$53,$25,$85,$e4,$41,$04
	.db $40,$09,$b7,$eb,$40,$a0,$23,$00,$07,$00,$a2,$5e,$c4,$71,$04
	.db $30,$04,$b6,$6b,$91,$aa,$44,$0a,$a8,$2a,$a4,$20,$01,$4a,$04
	.db $2a,$03,$89,$4b,$8e,$cc,$88,$32,$9b,$7c,$4b,$3a,$a2,$ca,$04
	.db $a2,$02,$6b,$b8,$85,$ed,$8b,$87,$bb,$85,$58,$5a,$a4,$c0,$12
	.db $03,$0a,$6b,$bb,$9a,$1a,$34,$aa,$17,$1a,$a2,$87,$78,$20,$ca
	.db $02,$00,$9b,$bb,$90,$20,$23,$00,$07,$aa,$02,$bb,$b7,$10,$e0
	.db $01,$20,$4b,$bb,$b3,$01,$89,$a0,$3b,$5a,$16,$bb,$b5,$a2,$10
	.db $00,$2a,$2b,$bb,$bb,$bb,$bb,$86,$bb,$bb,$bb,$bb,$b4,$1c,$00
	.db $00,$a2,$18,$bb,$bb,$bb,$bb,$bb,$bb,$bb,$bb,$bb,$8c,$2a,$00
	.db $00,$0a,$26,$bb,$bb,$bb,$bb,$bb,$bb,$bb,$bb,$bb,$82,$a0,$00
	.db $00,$00,$01,$24,$96,$94,$22,$22,$22,$34,$99,$42,$a0,$00,$00
	
Sprite_8Bit_Dflt:
	.dw 0
	.db 16,8
	.db $1f,$1f,$1f,$1f,$1f,$1f,$1f,$1f,$1f,$1f,$1f,$1f,$1f,$1f,$1f,$1f
	.db $1e,$1e,$1e,$1e,$1e,$1e,$1e,$1e,$1e,$1e,$1e,$1e,$1e,$1e,$1e,$1e
	.db $1d,$1d,$1d,$1d,$1d,$1d,$1d,$1d,$1d,$1d,$1d,$1d,$1d,$1d,$1d,$1d
	.db $1c,$1c,$1c,$1c,$1c,$1c,$1c,$1c,$1c,$1c,$1c,$1c,$1c,$1c,$1c,$1c
	.db $1b,$1b,$1b,$1b,$1b,$1b,$1b,$1b,$1b,$1b,$1b,$1b,$1b,$1b,$1b,$1b
	.db $1a,$1a,$1a,$1a,$1a,$1a,$1a,$1a,$1a,$1a,$1a,$1a,$1a,$1a,$1a,$1a
	.db $19,$19,$19,$19,$19,$19,$19,$19,$19,$19,$19,$19,$19,$19,$19,$19
	.db $18,$18,$18,$18,$18,$18,$18,$18,$18,$18,$18,$18,$18,$18,$18,$18

Sprite_8Bit_Palette:
	.db $1f,$1f,$1e,$1e,$1d,$1d,$1c,$1c,$1b,$1b,$1a,$1a,$19,$19,$18,$18
Sprite_8Bit:
	.dw Sprite_8Bit_Palette
	.db 16,8
	.db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	.db 1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1
	.db 2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2
	.db 3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3
	.db 4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4
	.db 5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5
	.db 6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6
	.db 7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7

.endrelocate
.end